"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  __name: "student",
  setup(__props) {
    const familyList = common_vendor.ref([
      {
        id: 1,
        url: "",
        name: "李白",
        phone: "13677985689",
        identity: "父亲"
      },
      {
        id: 2,
        url: "",
        name: "李白白",
        phone: "13677985689",
        identity: "母亲"
      },
      {
        id: 3,
        url: "",
        name: "李桃桃",
        phone: "13677985689",
        identity: "叔叔"
      }
    ]);
    const callPhone = () => {
      console.log(666);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(callPhone),
        b: common_vendor.f(familyList.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.name),
            b: common_vendor.t(item.identity),
            c: common_vendor.t(item.phone),
            d: common_vendor.o(callPhone, item.id),
            e: item.id
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-809c9d48"], ["__file", "E:/workSpace/WanZai_School_app/pages/student/student.vue"]]);
wx.createPage(MiniProgramPage);
